var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { TokenProvider, useTokenController } from '@deep-foundation/deeplinks/imports/react-token';
import { ApolloClientTokenizedProvider } from '@deep-foundation/react-hasura/apollo-client-tokenized-provider';
import { LocalStoreProvider } from '@deep-foundation/store/local';
import { QueryStoreProvider } from '@deep-foundation/store/query';
import { CookiesStoreProvider } from '@deep-foundation/store/cookies';
import { ChakraProvider } from '@chakra-ui/react';
import themeChakra from './theme/theme';
import { useEffect, useMemo } from 'react';
export function ProviderConnected({ children, }) {
    const [token, setToken] = useTokenController();
    return _jsx(_Fragment, { children: children });
}
export function Provider({ gqlPath, gqlSsl, children, }) {
    const ThemeProviderCustom = ChakraProvider;
    const themeCustom = themeChakra;
    useEffect(() => {
        (() => __awaiter(this, void 0, void 0, function* () {
            var _a;
            if (typeof (window) !== undefined) {
                localStorage.logs = 0;
                yield import('aframe');
                if (((_a = localStorage === null || localStorage === void 0 ? void 0 : localStorage.debug) === null || _a === void 0 ? void 0 : _a.length) > 0) {
                    localStorage.debug = localStorage.debug.replace('*:error,*:info,*:warn', '');
                }
                yield import('aframe-forcegraph-component');
                yield import('super-hands');
                yield import('aframe-environment-component');
            }
        }))();
    }, []);
    return (_jsx(_Fragment, { children: _jsx(ThemeProviderCustom, { theme: themeCustom, children: _jsx(QueryStoreProvider, { children: _jsx(CookiesStoreProvider, { children: _jsx(LocalStoreProvider, { children: _jsx(TokenProvider, { children: _jsx(ApolloClientTokenizedProvider, { options: useMemo(() => ({
                                    client: 'deeplinks-app', path: gqlPath, ssl: gqlSsl, ws: !!(process === null || process === void 0 ? void 0 : process.browser),
                                    fetchPolicy: 'no-cache',
                                    query: {
                                        fetchPolicy: 'no-cache',
                                    },
                                    watchQuery: {
                                        fetchPolicy: 'no-cache',
                                    },
                                }), [gqlPath, gqlSsl]), children: _jsx(ProviderConnected, { children: children }) }) }) }) }) }) }) }));
}
;
//# sourceMappingURL=provider.js.map